Bug 1569088 - RFE: support VMDK in (x-)blockdev-create (QEMU)
Summary: RFE: support VMDK in (x-)blockdev-create (QEMU)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 7.6
Assignee: Kevin Wolf
QA Contact: aihua liang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 15:12 UTC by Ademar Reis
Modified: 2018-12-06 17:31 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-05 22:03:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ademar Reis 2018-04-18 15:12:13 UTC
From Bug 1513543:

"To allow using blockdev-add for external snapshots (blockdev-snapshot) or blockdev mirror it's necessary to create qcow2 or other formats. Currently it would require a call to qemu-img which is not really a good idea for libvirt since it's hard to manage qemu-img or figure out whether it supports a given format (due to lacking introspection)."

Kevin Wolf introduced x-blockdev-create upstream and is working on turning it into an async job, but it lacks support for creating vmdk images, which is what this BZ is about.

AFAIK we don't have a use-case for supporting VMDK image creation in RHEL/RHV, but it needs to be accepted upstream for completeness. So I'm marking it OtherQA.


Note You need to log in before you can comment on or make changes to this bug.